local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireFamiliar = ____shouldFire.shouldFireFamiliar
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostFamiliarUpdateFilter = __TS__Class()
local PostFamiliarUpdateFilter = ____exports.PostFamiliarUpdateFilter
PostFamiliarUpdateFilter.name = "PostFamiliarUpdateFilter"
__TS__ClassExtends(PostFamiliarUpdateFilter, CustomCallback)
function PostFamiliarUpdateFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireFamiliar
    self.postFamiliarUpdate = function(____, familiar)
        self:fire(familiar)
    end
    self.callbacksUsed = {{ModCallback.POST_FAMILIAR_UPDATE, self.postFamiliarUpdate}}
end
return ____exports
